diff options
author | Bill Wendling <wendling@ncsa.uiuc.edu> | 2003-10-28 17:57:10 (GMT) |
---|---|---|
committer | Bill Wendling <wendling@ncsa.uiuc.edu> | 2003-10-28 17:57:10 (GMT) |
commit | 87d9d6bbff0648caf2b24115fa9f3f713cb0037a (patch) | |
tree | f8eb4cda3b5232181173104f31f98b31f352d179 /configure | |
parent | f2b52777f461e1f9e9fcdf9d1dc2520b96746382 (diff) | |
download | hdf5-87d9d6bbff0648caf2b24115fa9f3f713cb0037a.zip hdf5-87d9d6bbff0648caf2b24115fa9f3f713cb0037a.tar.gz hdf5-87d9d6bbff0648caf2b24115fa9f3f713cb0037a.tar.bz2 |
[svn-r7770] Purpose:
More Checks
Description:
Added checks for correctly working "basename" and "xargs" programs.
Mike McKay was having troubles with the xargs. The basename check was
just a good idea.
Platforms tested:
Verbena, Arabica, Modi4
Misc. update:
Diffstat (limited to 'configure')
-rwxr-xr-x | configure | 36 |
1 files changed, 30 insertions, 6 deletions
@@ -1538,8 +1538,8 @@ echo "${ECHO_T}done" >&6 echo "$as_me:$LINENO: checking if tr works" >&5 echo $ECHO_N "checking if tr works... $ECHO_C" >&6 -TRTEST=`echo "Test" | tr 'a-z,' 'A-Z '` -if test $TRTEST != "TEST"; then +TR_TEST="`echo Test | tr 'a-z,' 'A-Z '`" +if test $TR_TEST != "TEST"; then { { echo "$as_me:$LINENO: error: tr program doesn't work" >&5 echo "$as_me: error: tr program doesn't work" >&2;} { (exit 1); exit 1; }; } @@ -1548,6 +1548,30 @@ else echo "${ECHO_T}yes" >&6 fi +echo "$as_me:$LINENO: checking if basename works" >&5 +echo $ECHO_N "checking if basename works... $ECHO_C" >&6 +BASENAME_TEST="`basename /foo/bar/baz/qux/basename_works`" +if test $BASENAME_TEST != "basename_works"; then + { { echo "$as_me:$LINENO: error: basename program doesn't work" >&5 +echo "$as_me: error: basename program doesn't work" >&2;} + { (exit 1); exit 1; }; } +else + echo "$as_me:$LINENO: result: yes" >&5 +echo "${ECHO_T}yes" >&6 +fi + +echo "$as_me:$LINENO: checking if xargs works" >&5 +echo $ECHO_N "checking if xargs works... $ECHO_C" >&6 +XARGS_TEST="`echo /foo/bar/baz/qux/xargs_works | xargs basename`" +if test $XARGS_TEST != "xargs_works"; then + { { echo "$as_me:$LINENO: error: xargs program doesn't work" >&5 +echo "$as_me: error: xargs program doesn't work" >&2;} + { (exit 1); exit 1; }; } +else + echo "$as_me:$LINENO: result: yes" >&5 +echo "${ECHO_T}yes" >&6 +fi + echo "$as_me:$LINENO: checking for cached host" >&5 echo $ECHO_N "checking for cached host... $ECHO_C" >&6 if test "${hdf5_cv_host+set}" = set; then @@ -3992,7 +4016,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes case $host in *-*-irix6*) # Find out which ABI we are using. - echo '#line 3995 "configure"' > conftest.$ac_ext + echo '#line 4019 "configure"' > conftest.$ac_ext if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 (eval $ac_compile) 2>&5 ac_status=$? @@ -4533,7 +4557,7 @@ chmod -w . save_CFLAGS="$CFLAGS" CFLAGS="$CFLAGS -o out/conftest2.$ac_objext" compiler_c_o=no -if { (eval echo configure:4536: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then +if { (eval echo configure:4560: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then # The compiler can only warn and ignore the option if not recognized # So say no if there are warnings if test -s out/conftest.err; then @@ -6340,7 +6364,7 @@ else lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_status=$lt_dlunknown cat > conftest.$ac_ext <<EOF -#line 6343 "configure" +#line 6367 "configure" #include "confdefs.h" #if HAVE_DLFCN_H @@ -6438,7 +6462,7 @@ else lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_status=$lt_dlunknown cat > conftest.$ac_ext <<EOF -#line 6441 "configure" +#line 6465 "configure" #include "confdefs.h" #if HAVE_DLFCN_H |